Get a Deposit Transaction by Signature
curl --request GET \
--url https://api.hel.io/v1/transactions/deposit/signature/{signature} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/transactions/deposit/signature/{signature}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/transactions/deposit/signature/{signature}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "695e62da3df6cfc39348dce8",
"fee": "2000000",
"createdAt": "2026-01-07T13:42:51.000Z",
"paymentType": "DEPOSIT",
"deposit": {
"id": "695e62583df6cfc39348dbda",
"description": "",
"name": "deposit transaction endpoint test",
"platform": "HELIO",
"isCardPaymentEnabled": true,
"notifyReceiverByEmail": false,
"disabled": false,
"createdAt": "2026-01-07T13:40:40.839Z",
"updatedAt": "2026-01-07T13:40:40.839Z",
"currencies": [
{
"id": "63430c8348c610068bcdc474",
"name": "Solana",
"decimals": 9,
"order": 300,
"mintAddress": "11111111111111111111111111111111",
"coinMarketCapId": 5426,
"symbol": "SOL",
"symbolPrefix": "",
"type": "DIGITAL",
"iconUrl": "SOL.png",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"isNative": true,
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
],
"company": {
"id": "68bef8e8bf9266762395d7a9",
"name": "MoonPay Commerce",
"email": "hi@moonpay.com",
"websiteUrl": "https://www.moonpay.com",
"address": "",
"phoneNumber": "074559848843",
"escrowFunds": false,
"twitterConfirmed": false,
"kycVerified": false,
"kybVerified": true,
"customTheme": null
},
"creator": {
"id": "68bef8e8bf9266762395d7a7",
"userType": "MERCHANT",
"isDisabled": false,
"kycVerified": false,
"platformDetails": {
"platform": "HELIO"
}
}
},
"depositCustomer": {
"id": "695e625cf58128762696d022",
"deposit": "695e62583df6cfc39348dbda",
"token": "bf9a9c61-38de-4d99-bcf9-110a64807461",
"customerId": "test",
"recipientPublicKeys": [
"HYbLa1eUoH5Bvq1bBsH5XgctVfc2G5BeCBzRaCC3ptH8"
],
"disabled": false
},
"meta": {
"id": "695e62da3df6cfc39348dce6",
"amount": "98000000",
"senderPK": "7Gw3kT48xqp4PmXqnV3CMXrVquwgJjJY4moJaeoWP9Ww",
"recipientPK": "HYbLa1eUoH5Bvq1bBsH5XgctVfc2G5BeCBzRaCC3ptH8",
"transactionType": "DEPOSIT",
"customerDetails": {},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "5i9MXdsos8jNnnxM1Pu7NiSCMDms3Rfe2chTgwoE9T9E1WZ7u2TyuNJZpmGXWreq2BcuLZrsfNmWy9MmCeX5goy2",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "98000000",
"totalAmountAsUSD": "13538970",
"tokenQuote": null,
"shopifyPaymentDetails": null,
"currency": {
"id": "63430c8348c610068bcdc474",
"name": "Solana",
"decimals": 9,
"order": 300,
"mintAddress": "11111111111111111111111111111111",
"coinMarketCapId": 5426,
"symbol": "SOL",
"symbolPrefix": "",
"type": "DIGITAL",
"iconUrl": "SOL.png",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"isNative": true,
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
},
"paymentRequestCreatorId": "68bef8e8bf9266762395d7a7",
"paymentRequestName": "deposit transaction endpoint test",
"paymentRequestCurrencySymbol": "SOL",
"paymentRequestBlockchain": "SOL",
"incomingTransactions": [
{
"hash": "2azE2LdA7JATeKEvt1aUiWJmFbKSZ9ZgJntXjdjniBrtDhrECj8ZB5BUai5pdbWR2gioMT5Go1cAQbKiB3gBsgrc",
"from": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"to": "6C6gzbxQ1rc5vEbnycWGmTNmLcDhavsNi6C5nAMWEfYn",
"value": "48102183",
"blockNumber": 437805392,
"timestamp": 1769440895,
"status": "success",
"gasUsed": "5000",
"gasPrice": "20000000000",
"nonce": 12
}
]
}{
"message": "Api key or token is invalid",
"code": 401
}Transactions
Get a Deposit Transaction by Signature
Fetches a deposit transaction using its blockchain transaction signature. Returns the transaction details including deposit, deposit customer, and metadata.
GET
/
v1
/
transactions
/
deposit
/
signature
/
{signature}
Get a Deposit Transaction by Signature
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
Blockchain transaction signature for the deposit transaction.
Query Parameters
Your API key generated from the Helio Dashboard settings page.
Response
Deposit transaction retrieved successfully.
⌘I
